GET
/v1/agent/profile
Get Profile
curl https://api.{cluster}.{platform}.voiger.io/v1/agent/profile \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code"
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/agent/profile", {
method: "GET",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
image
null | object
when image is attached, empty object, otherwise null will be returned
connection_ping_time
number
connection_pinged_at
string
team_ids
array
IDs of the active teams the agent is a member of (empty array when none). The client resolves team names from its cached teams list.
json · 200
{
"profile": {
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"first_name": "Salman",
"last_name": "Ahmad",
"image": {},
"email": "salman@domain.com",
"phone": "+94..",
"cc_profile": {
"id": "bc2ac10b-58cc-4372-a567-0e02b2c3d479",
"password": "somepasswordstringhere..",
"auto_answer": true,
"connection_ping_time": 13456,
"connection_pinged_at": "2025-10-23T08:12:20.985012Z",
"connection_ip": "172.0.1.4",
"connection_status": "reachable",
"cli": {
"id": "ab23c10b-58cc-4372-a567-0e02b2c3d479",
"reference_id": "ab34c10b-58cc-4372-a567-0e02b2c3d123",
"type": "queue"
}
},
"team_ids": [
"1a2bc10b-58cc-4372-a567-0e02b2c3d222",
"2b3cc10b-58cc-4372-a567-0e02b2c3d333"
]
}
}